| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
ANSELx_s Struct Reference

`#include <common/p33c_pral/p33c_gpio.h>`

Collaboration diagram for ANSELx_s:

## Data Fields
uint16_t | ANSELx0:1
uint16_t | ANSELx1:1
uint16_t | ANSELx2:1
uint16_t | ANSELx3:1
uint16_t | ANSELx4:1
uint16_t | ANSELx5:1
uint16_t | ANSELx6:1
uint16_t | ANSELx7:1
uint16_t | ANSELx8:1
uint16_t | ANSELx9:1
uint16_t | ANSELx10:1
uint16_t | ANSELx11:1
uint16_t | ANSELx12:1
uint16_t | ANSELx13:1
uint16_t | ANSELx14:1
uint16_t | ANSELx15:1

## Detailed Description

Definition at line 51 of file p33c_gpio.h.

## Field Documentation

## ◆ ANSELx0

uint16_t ANSELx0

Definition at line 52 of file p33c_gpio.h.

## ◆ ANSELx1

uint16_t ANSELx1

Definition at line 53 of file p33c_gpio.h.

## ◆ ANSELx10

uint16_t ANSELx10

Definition at line 62 of file p33c_gpio.h.

## ◆ ANSELx11

uint16_t ANSELx11

Definition at line 63 of file p33c_gpio.h.

## ◆ ANSELx12

uint16_t ANSELx12

Definition at line 64 of file p33c_gpio.h.

## ◆ ANSELx13

uint16_t ANSELx13

Definition at line 65 of file p33c_gpio.h.

## ◆ ANSELx14

uint16_t ANSELx14

Definition at line 66 of file p33c_gpio.h.

## ◆ ANSELx15

uint16_t ANSELx15

Definition at line 67 of file p33c_gpio.h.

## ◆ ANSELx2

uint16_t ANSELx2

Definition at line 54 of file p33c_gpio.h.

## ◆ ANSELx3

uint16_t ANSELx3

Definition at line 55 of file p33c_gpio.h.

## ◆ ANSELx4

uint16_t ANSELx4

Definition at line 56 of file p33c_gpio.h.

## ◆ ANSELx5

uint16_t ANSELx5

Definition at line 57 of file p33c_gpio.h.

## ◆ ANSELx6

uint16_t ANSELx6

Definition at line 58 of file p33c_gpio.h.

## ◆ ANSELx7

uint16_t ANSELx7

Definition at line 59 of file p33c_gpio.h.

## ◆ ANSELx8

uint16_t ANSELx8

Definition at line 60 of file p33c_gpio.h.

## ◆ ANSELx9

uint16_t ANSELx9

Definition at line 61 of file p33c_gpio.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_gpio.h